Bug 1309359 - Review Request: nodejs-type-check - Allows you to check the types of JavaScript values at runtime
Review Request: nodejs-type-check - Allows you to check the types of JavaScri...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 1309131
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2016-02-17 10:37 EST by Jared Smith
Modified: 2016-06-07 17:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-07 17:12:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2016-02-17 10:37:10 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-type-check/nodejs-type-check.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-type-check/nodejs-type-check-0.3.2-2.fc24.src.rpm
Description: Allows you to check the types of JavaScript values at runtime
Fedora Account System Username: jsmith
Comment 1 Tom Hughes 2016-02-21 14:21:40 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/tom/1309359-nodejs-
  type-check/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in /home/tom/1309359
     -nodejs-type-check/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-type-check-0.3.2-2.fc24.noarch.rpm
          nodejs-type-check-0.3.2-2.fc24.src.rpm
nodejs-type-check.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
nodejs-type-check.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
nodejs-type-check.noarch: W: only-non-binary-in-usr-lib
nodejs-type-check.noarch: W: dangling-symlink /usr/lib/node_modules/type-check/node_modules/prelude-ls /usr/lib/node_modules/prelude-ls
nodejs-type-check.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
nodejs-type-check.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
nodejs-type-check.src: W: file-size-mismatch package.json.ls = 968, https://raw.githubusercontent.com/gkz/type-check/0.3.2/package.json.ls = 701
nodejs-type-check.src: W: invalid-url Source2: src-0.3.2.tar.bz2
nodejs-type-check.src: W: invalid-url Source1: tests-0.3.2.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-type-check.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
nodejs-type-check.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
nodejs-type-check.noarch: W: only-non-binary-in-usr-lib
nodejs-type-check.noarch: W: dangling-symlink /usr/lib/node_modules/type-check/node_modules/prelude-ls /usr/lib/node_modules/prelude-ls
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
nodejs-type-check (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(prelude-ls)



Provides
--------
nodejs-type-check:
    nodejs-type-check
    npm(type-check)



Source checksums
----------------
https://registry.npmjs.org/type-check/-/type-check-0.3.2.tgz :
  CHECKSUM(SHA256) this package     : d414efefe0eb03f174a507af6ff09e7537d6d66cb94f5a2eef76352d24ef3c16
  CHECKSUM(SHA256) upstream package : d414efefe0eb03f174a507af6ff09e7537d6d66cb94f5a2eef76352d24ef3c16
https://raw.githubusercontent.com/gkz/type-check/0.3.2/package.json.ls :
  CHECKSUM(SHA256) this package     : 2183f5b95ee5732ed7dabb0eb4618ac5f1405b45e8d0970440f8c6e204df0839
  CHECKSUM(SHA256) upstream package : b8f575786f04cf0599a5a18a65b093d5d44e8f38fac1ba644298008bcb542743
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1309359
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2016-02-21 14:22:24 EST
The mocha command should use ls:livescript not ls:LiveScript if you want it to work once we have livescript in... Other than that it looks fine.
Comment 3 Gwyn Ciesla 2016-02-22 14:47:12 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-type-check

Note You need to log in before you can comment on or make changes to this bug.